curl -X GET 'https://api.telegent.com/v1.0/subscribers/call-filter?SubscriberId=TSUID-C7AB61E0-9AD9-4512-ACA8-EDA284131441' \
-H 'Authorization: Bearer YOUR_TOKEN'[
{
"FilterId": "CFID-05c3d6d2-21c2-4fab-8c7c-12746cad1499",
"SubscriberId": "TSUID-C7AB61E0-9AD9-4512-ACA8-EDA284131441",
"Phone": "+1234567890",
"FilterMode": "WHITELIST",
"AllowedNumbers": [
"+1111111111",
"+2222222222"
],
"BlockedNumbers": [
"+3333333333"
],
"EnableTranscription": true,
"TranscriptionAction": "WARNING",
"WarningMessage": "This call may be terminated",
"NotificationPhones": [
"+9999999999"
],
"ApplyToOutbound": false,
"ApplyToInbound": false,
"BlockUnknownNumbers": false,
"BlockInternational": false,
"RecordFlaggedCalls": false
}
]Retrieve call filters by subscriber ID or phone number. Returns an array of all configured call filters matching the criteria.
curl -X GET 'https://api.telegent.com/v1.0/subscribers/call-filter?SubscriberId=TSUID-C7AB61E0-9AD9-4512-ACA8-EDA284131441' \
-H 'Authorization: Bearer YOUR_TOKEN'[
{
"FilterId": "CFID-05c3d6d2-21c2-4fab-8c7c-12746cad1499",
"SubscriberId": "TSUID-C7AB61E0-9AD9-4512-ACA8-EDA284131441",
"Phone": "+1234567890",
"FilterMode": "WHITELIST",
"AllowedNumbers": [
"+1111111111",
"+2222222222"
],
"BlockedNumbers": [
"+3333333333"
],
"EnableTranscription": true,
"TranscriptionAction": "WARNING",
"WarningMessage": "This call may be terminated",
"NotificationPhones": [
"+9999999999"
],
"ApplyToOutbound": false,
"ApplyToInbound": false,
"BlockUnknownNumbers": false,
"BlockInternational": false,
"RecordFlaggedCalls": false
}
]